Page MenuHomePhabricator

Experiment rendering a static map instead of an interactive map on mobile
Closed, ResolvedPublic

Description

We should disable zoom & pan when on a mobile device (screen size smaller than some predefined size (and mobile mode). This way it will be much easier to finger swipe the whole article up and down. When user touches the map, it should popup full screen (and obviously have a proper close button). This also means that we should hide all zoom & other controls in this mode. Basically we need to make the map into a static, non-interactable view (until the static mode is ready)

Event Timeline

Restricted Application added subscribers: Zppix, Aklapper. · View Herald TranscriptJun 14 2016, 10:47 PM

Change 294400 had a related patch set uploaded (by JGirault):
WIP: Rendering a quite static map on mobile instead of an interactive map.

https://gerrit.wikimedia.org/r/294400

Yurik moved this task from Backlog to To-do on the Maps-Sprint board.Jun 15 2016, 1:34 AM
Yurik updated the task description. (Show Details)
Yurik moved this task from To-do to In progress on the Maps-Sprint board.
Yurik added subscribers: MaxSem, Yurik.
Yurik moved this task from Unsorted to UI tasks on the Maps (Kartographer) board.Jun 16 2016, 11:07 PM

Change 294400 merged by jenkins-bot:
Make mapframe static on small devices and when there is not a 200px margin to scroll.

https://gerrit.wikimedia.org/r/294400

JGirault closed this task as Resolved.Jul 12 2016, 9:06 PM